The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete Attack Set Profile

Prev Next

This URL deletes the created attack set profile.

Resource URL

DELETE /domain/<domainId>/ attacksetprofile/deleteruleset/<policyId>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domainId Domain id Number Yes
policyId Policy id Number Yes

Payload Parameters

None

Response Parameters

Following fields are returned if the operation was successful, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful Number

Example

Request

DELETE https://<NSM_IP>/sdkapi/domain/<domainId>/attacksetprofile/deletruleset/<policyId>

Payload

None

Response

{
status:1
           } 
 

Error Information

Following error codes are returned by this URL:

No SDK API errorId SDK API errorMessage
1 1105 Invalid domain
2 7001 Invalid policy id
3 7001 Rule set is used by other policies